> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate oauth

> Get an OAuth concent URL to give to the user. Works only for OAuth-enabled source types. Be sure to call only when the user clicks "Authorize" or similar, since it resets any secret IDs currently stored.



## OpenAPI

````yaml get /api/connect/initiate-oauth
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/initiate-oauth:
    get:
      tags:
        - graphite-connect
      summary: Initiate oauth
      description: >-
        Get an OAuth concent URL to give to the user. Works only for
        OAuth-enabled source types. Be sure to call only when the user clicks
        "Authorize" or similar, since it resets any secret IDs currently stored.
      parameters:
        - schema:
            type: string
            enum:
              - zendesk_support
              - notion
              - confluence
              - shopify
              - gitbook
          in: query
          name: source_type
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitiateOauthResponse'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    InitiateOauthResponse:
      type: object
      properties:
        consentUrl:
          type: string
          format: uri
      required:
        - consentUrl
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message

````